MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

BoundMethod< S > Class Template Reference

This object stores a function pointer wrapping a method, and a reference to an instance of the method's class. More...

`#include <BindMethod.hxx>`

## Detailed Description

### template<typename S = void()>
class BoundMethod< S >

This object stores a function pointer wrapping a method, and a reference to an instance of the method's class.

It can be used to wrap instance methods as callback functions.

Parameters

  S | the plain function signature type

Definition at line 44 of file BindMethod.hxx.

The documentation for this class was generated from the following file:

- util/BindMethod.hxx